Subject: Re: [rohc] [Fwd: Re: incompatible feedback type 2 causes problemsin reusing the context for profile change]

From: Suneeta Rao <[email-masked]>
Date: Tue, 9 Sep 2008 01:25:31 -0700 (PDT)

Hello Ghyslain / Carl / Carsten,
 
To give an example, if we have UDP profile from RFC 3095, and RTP profile from RFC 5225, we have this issue of feedback mis-interpretation.
 
Note that this is not restricted to RFC3095/5225 only. It could be a TCP profile (RFC4996) context reused for some other profile.
 
Since any implementation based on RFC's is likely to face this issue, I feel it will be better to highlight this issue in a clarification RFC. Maybe the draft RFC being done on RFC 4995 can be used to add a solution.
 
Regards,
Suneeta

----- Original Message ----
From: Ghyslain Pelletier <[email-masked]>
To: Carsten Bormann <[email-masked]>; Carl Knutsson <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Sent: Monday, September 8, 2008 7:39:25 PM
Subject: Re: [rohc] [Fwd: Re: incompatible feedback type 2 causes problemsin reusing the context for profile change]

> This discussion confuses me.

I was about to write the exact same thing. I agree with Carsten's
comment.

It is not possible configure multiple variants of the _same_ profile for
a ROHC channel, and thus it is not possible to switch between _variants_
without first tearing down the channel (clearing all state). Note
however that it is possible to configure _different_ profiles of
different "variants" (i.e. With some 0x00yy and some 0x01zz as long as
yy!=zz) at the same time for a ROHC channel; however, I see no useful
reason to do this type of combination with currently defined set of
profiles.

Wrt compatibility between profiles and different definitions of feedback
type 2, the feedback element contains CID information indicating what
context the feedback data is for and the context contains the associated
profile by which the format of the feedback data shall be interpreted. A
compressor implementation can manage reuse of CIDs so that no risk for
misinterpretation occurs when reassociating a CID to a different
_profile_. E.g. Either change a CID/profile association only when there
is no risk of receiving any feedback for the old association or stick to
that association and use a different CID as needed.

Cheers,

///Ghyslain

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Carsten Bormann
> Sent: den 8 september 2008 15:28
> To: Carl Knutsson
> Cc: [email-masked]; Carsten Bormann; 
> rohc@ietf..org; [email-masked]
> Subject: Re: [rohc] [Fwd: Re: incompatible feedback type 2 
> causes problemsin reusing the context for profile change]
> 
> > backward compatibility issues between
> > RFC3095 and RFC5225 profiles.
> 
> This discussion confuses me.
> 
> 1) *Why* would you want to switch between RFC 5225 and RFC 
> 3095 on one channel?
> 
> 2) *How* would you do it?  I don't understand how do this 
> with a ROHC- over-X protocol like RFC 3241, but maybe you are 
> using something different.
> 
> (RFC 4995 section 5.1.2 clearly spells out:
> 
>        [...] if multiple variants of the same profile are 
> available for a
>        ROHC channel, the PROFILES set after negotiation MUST 
> NOT include
>        more than one variant of the same profile. [...]
> 
> Note that the ROHCv2 profiles have been encoded as "variants" of the
> ROHCv1 profiles.)
> 
> Gruesse, Carsten
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rohc
> 
_______________________________________________
Rohc mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rohc

_______________________________________________
Rohc mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rohc